// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.

package ext

import (
	"testing"
	"github.com/stretchr/testify/assert"
_	"fmt"
_	"log"
	"io"
)

func TestNewStringReader(t *testing.T) {
	basicReader := NewStringReader("some test data")
	assert.NotNil(t, basicReader)
	_, ok := basicReader.(io.WriterTo)
	assert.False(t, ok)
}
